/*
 *			e r r o r . c
 */

/*)LIBRARY
*/

#ifdef	DOCUMENTATION

title	error	Fatal Error Exit
index		Fatal error exit

synopsis
	.s.nf
	_error()

	error(format, args)
	char		*format;
	.s.f
documentation

	Fatal error exits.  _error() halts, error() prints something
	on stderr and then halts.

bugs

#endif

#include	<stdio.h>

char		recycle		/* = 0 */ ;	/* Prevents looping	*/

error(format, args)
char		*format;
/*
 * Error message before retiring.
 */
{
	if (recycle++ == 0) {
	    c_doprnt(format, &args, stderr);
	}
	_error();
}

_error()
{
	abort();
}

